This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269928 - Reccomended Method of Changing Cockpit Port Results in Two Instances
Reccomended Method of Changing Cockpit Port Results in Two Instances
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cockpit (Show other bugs)
22
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 09:52 EDT by Dominic Robinson
Modified: 2015-10-19 05:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 05:39:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Robinson 2015-10-08 09:52:21 EDT
Description of problem:
It is necessary for some users to be able to change the port cockpit listens on if it interferes with other running services. The recommended method of doing this is detailed within the documentation: http://files.cockpit-project.org/guide/latest/listen.html#listen-systemd

This method is mean't to override the behaviour of the default cockpit.socket service. However this method results in dual instances of cockpit i.e. cockpit listens on the default port 9090 and also the newly specified one.

It is possible to achieve the desired effect by modifying the packaged systemd file here: /usr/lib/systemd/system/cockpit.service - this works but is ofcourse overwritten by package updates, which is ofcourse very inconvenient.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. $ mkdir /etc/systemd/system/cockpit.socket.d/
   $ cat << EOF > /etc/systemd/system/cockpit.socket.d/listen.conf
     [Socket]
     ListenStream=9095
     EOF
   $ sudo systemctl daemon-reload
   $ sudo systemctl restart cockpit.socket
2. Browse to http://localhost:9090 - Confirm cockpit loads
3. Browse to http://localhost:9095 - Confirm cockpit loads

Actual results:
As above cockpit is listening on both ports and subsequently does not help with clearing ports for other services.

Expected results:
Cockpit should listen only on 9095 (based on the steps above).

Additional info:
Additionally when updating cockpit no rpmsave files are generated if you modify the core service /usr/lib/systemd/system/cockpit.service

Note You need to log in before you can comment on or make changes to this bug.